.wrapper {
    width: 100%;
    height: 128px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: linear-gradient(-180deg, #e94560, #ff647e)
}

.top {
    width: 1200px;
    height: 20px;
    margin-top: 8px;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}

.img {
    height: 18px;
    width: 18px;
    border-radius: 9px;
}

.username {
    font-weight: 500;
    color: white;
    margin-left: 2px;

    &:hover {
        cursor: pointer;
        color: #6d6d6d;
    }
}

.action {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-right: 10px;

    &:hover {
        cursor: pointer;
        color: #6d6d6d;
    }
}

.login {
    color: white;
    font-weight: 500;
    margin-left: 4px;

    &:hover {
        cursor: pointer;
        color: #6d6d6d;
    }
}

.inner {
    width: 1200px;
    height: 60px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.logo {
    margin-right: 48px;
    margin-top: 24px;
    font-size: 3.8rem;
    color: white;

    &:hover {
        cursor: pointer;
    }
}

.search {
    flex: 1;
    display: flex;
    flex-direction: row;
    height: 46px;
    align-items: center;
    border: 2px solid transparent;
    background-color: white;
    border-radius: 5px;

    &:focus-within {
        border-color: #6d6d6d;
    }
}

.search-input {
    flex: 1;
    height: 40px;
    padding-left: 12px;
    outline: none;
}

.btn-search {
    height: 36px;
    width: 80px;
    border-radius: 4px;
    margin-right: 4px;
    margin-left: 8px;
    background-color: #e94560;
    font-size: 1.6rem;

    &:hover {
        opacity: 0.85;
        cursor: pointer;
    }
}

.left {
    margin-left: 40px;
    margin-right: 20px;
    margin-top: 16px;
}

.navbar {
    width: 1200px;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}